M_DragonBallLottery = {}

function M_DragonBallLottery:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_DragonBallLottery:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Weight = 0, ItemID = 338, ItemCount = 1, Big = 1}
	self.datas[2] = {ID = 2, Weight = 170, ItemID = 1, ItemCount = 1000000, Big = 0}
	self.datas[3] = {ID = 3, Weight = 60, ItemID = 5, ItemCount = 10, Big = 0}
	self.datas[4] = {ID = 4, Weight = 230, ItemID = 1, ItemCount = 1500000, Big = 0}
	self.datas[5] = {ID = 5, Weight = 70, ItemID = 41, ItemCount = 5, Big = 0}
	self.datas[6] = {ID = 6, Weight = 160, ItemID = 1, ItemCount = 2000000, Big = 0}
	self.datas[7] = {ID = 7, Weight = 50, ItemID = 2, ItemCount = 500, Big = 0}
	self.datas[8] = {ID = 8, Weight = 30, ItemID = 1, ItemCount = 500000, Big = 0}
	self.datas[9] = {ID = 9, Weight = 10, ItemID = 2, ItemCount = 1000, Big = 0}
	self.datas[10] = {ID = 10, Weight = 55, ItemID = 41, ItemCount = 10, Big = 0}
	self.datas[11] = {ID = 11, Weight = 40, ItemID = 26, ItemCount = 5, Big = 0}
	self.datas[12] = {ID = 12, Weight = 50, ItemID = 24, ItemCount = 5, Big = 0}
	self.datas[13] = {ID = 13, Weight = 25, ItemID = 27, ItemCount = 2, Big = 0}
	self.datas[14] = {ID = 14, Weight = 50, ItemID = 24, ItemCount = 10, Big = 0}
end

M_DragonBallLottery:init()
